Snow Leopard svn problems

A month or so ago I noticed that when I ran ‘svn –version’ I would get this:

$ svn --version
svn: Mismatched RA version for 'neon': found 1.6.2, expected 1.6.5

I did some basic googling and decided the easiest solution was to install a newer version from macports. However, today I decided to revisit this and actually try to solve it since I was moving from macports to homebrew. I found this nice article that suggested re-installing the 10.6.2 Combo update would resolve the problem. That sounds like a horrible idea since I’m no longer running 10.6.2 and who knows what that would break down the road, but I went ahead and downloaded the update to look at the contents. Using Pacifist I opened the installer package and had it verify that the svn binaries and libraries were all alright and they all passed with out a complaint. This didn’t make sense because clearly something was wrong with one of the libraries or binaries for subversion. After a little while I decided to have Pacifist re-install the svn binaries and libraries from the update to see if it fixed the problem. Before I did this I checked the other OS X update receipts to see if the subversion binaries or libraries have been modified since the 10.6.2 update and found they hadn’t. After the re-install everything looks like it’s back to normal! So, if you are having this issue and don’t want to use a newer version, grab the 10.3.2 combo update and Pacifist and go to town.

FYI the binaries and libraries for subversion include:


/usr/bin/svn
/usr/bin/svnadmin
/usr/bin/svndumpfilter
/usr/bin/svnlook
/usr/bin/svnserve
/usr/bin/svnsync
/usr/bin/svnversion
/usr/lib/libsvn_client-1.0.0.0.dylib
/usr/lib/libsvn_client-1.0.dylib
/usr/lib/libsvn_client-1.dylib
/usr/lib/libsvn_delta-1.0.0.0.dylib
/usr/lib/libsvn_delta-1.0.dylib
/usr/lib/libsvn_delta-1.dylib
/usr/lib/libsvn_diff-1.0.0.0.dylib
/usr/lib/libsvn_diff-1.0.dylib
/usr/lib/libsvn_diff-1.dylib
/usr/lib/libsvn_fs-1.0.0.0.dylib
/usr/lib/libsvn_fs-1.0.dylib
/usr/lib/libsvn_fs-1.dylib
/usr/lib/libsvn_fs_fs-1.0.0.0.dylib
/usr/lib/libsvn_fs_fs-1.0.dylib
/usr/lib/libsvn_fs_fs-1.dylib
/usr/lib/libsvn_fs_util-1.0.0.0.dylib
/usr/lib/libsvn_fs_util-1.0.dylib
/usr/lib/libsvn_fs_util-1.dylib
/usr/lib/libsvn_ra-1.0.0.0.dylib
/usr/lib/libsvn_ra-1.0.dylib
/usr/lib/libsvn_ra-1.dylib
/usr/lib/libsvn_ra_local-1.0.0.0.dylib
/usr/lib/libsvn_ra_local-1.0.dylib
/usr/lib/libsvn_ra_local-1.dylib
/usr/lib/libsvn_ra_neon-1.0.0.0.dylib
/usr/lib/libsvn_ra_neon-1.0.dylib
/usr/lib/libsvn_ra_neon-1.dylib
/usr/lib/libsvn_ra_svn-1.0.0.0.dylib
/usr/lib/libsvn_ra_svn-1.0.dylib
/usr/lib/libsvn_ra_svn-1.dylib
/usr/lib/libsvn_repos-1.0.0.0.dylib
/usr/lib/libsvn_repos-1.0.dylib
/usr/lib/libsvn_repos-1.dylib
/usr/lib/libsvn_subr-1.0.0.0.dylib
/usr/lib/libsvn_subr-1.0.dylib
/usr/lib/libsvn_subr-1.dylib
/usr/lib/libsvn_swig_ruby-1.0.0.0.dylib
/usr/lib/libsvn_swig_ruby-1.0.dylib
/usr/lib/libsvn_swig_ruby-1.dylib
/usr/lib/libsvn_wc-1.0.0.0.dylib
/usr/lib/libsvn_wc-1.0.dylib
/usr/lib/libsvn_wc-1.dylib

Be Sociable, Share!

Tags: , , ,

Leave a Reply